OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- EARLIEST_QUARTER : GSCompany
- EditorTerraformToolbarWidgets : GSWindow
- EnableAutoReplaceProtection() : GSGroup
- EnableForCompany() : GSEngine
- EnableWagonRemoval() : GSGroup
- EnginePreviewWidgets : GSWindow
- ERR_ALREADY_BUILT : GSError
- ERR_AREA_ALREADY_FLAT : GSTile
- ERR_AREA_NOT_CLEAR : GSError
- ERR_BRIDGE_BASE : GSBridge
- ERR_BRIDGE_CANNOT_END_IN_WATER : GSBridge
- ERR_BRIDGE_HEADS_NOT_ON_SAME_HEIGHT : GSBridge
- ERR_BRIDGE_TOO_LOW : GSError
- ERR_BRIDGE_TYPE_UNAVAILABLE : GSBridge
- ERR_CAT_BIT_SIZE : GSError
- ERR_CAT_BRIDGE : GSError
- ERR_CAT_GENERAL : GSError
- ERR_CAT_MARINE : GSError
- ERR_CAT_NONE : GSError
- ERR_CAT_ORDER : GSError
- ERR_CAT_RAIL : GSError
- ERR_CAT_ROAD : GSError
- ERR_CAT_SIGN : GSError
- ERR_CAT_STATION : GSError
- ERR_CAT_TILE : GSError
- ERR_CAT_TUNNEL : GSError
- ERR_CAT_VEHICLE : GSError
- ERR_CAT_WAYPOINT : GSError
- ERR_CROSSING_ON_ONEWAY_ROAD : GSRail
- ERR_EXCAVATION_WOULD_DAMAGE : GSTile
- ERR_FLAT_LAND_REQUIRED : GSError
- ERR_GENERAL_BASE : GSError
- ERR_LAND_SLOPED_WRONG : GSError
- ERR_LIMIT_REACHED : GSTile
- ERR_LOCAL_AUTHORITY_REFUSES : GSError
- ERR_MARINE_BASE : GSMarine
- ERR_MARINE_MUST_BE_BUILT_ON_WATER : GSMarine
- ERR_NAME_IS_NOT_UNIQUE : GSError
- ERR_NEWGRF_SUPPLIED_ERROR : GSError
- ERR_NONE : GSError
- ERR_NOT_ENOUGH_CASH : GSError
- ERR_ORDER_AIRCRAFT_NOT_ENOUGH_RANGE : GSOrder
- ERR_ORDER_BASE : GSOrder
- ERR_ORDER_TOO_FAR_AWAY_FROM_PREVIOUS_DESTINATION : GSOrder
- ERR_ORDER_TOO_MANY : GSOrder
- ERR_OWNED_BY_ANOTHER_COMPANY : GSError
- ERR_PRECONDITION_FAILED : GSError
- ERR_PRECONDITION_INVALID_COMPANY : GSError
- ERR_PRECONDITION_STRING_TOO_LONG : GSError
- ERR_RAIL_BASE : GSRail
- ERR_RAILTYPE_DISALLOWS_CROSSING : GSRail
- ERR_ROAD_BASE : GSRoad
- ERR_ROAD_CANNOT_BUILD_ON_TOWN_ROAD : GSRoad
- ERR_ROAD_DRIVE_THROUGH_WRONG_DIRECTION : GSRoad
- ERR_ROAD_ONE_WAY_ROADS_CANNOT_HAVE_JUNCTIONS : GSRoad
- ERR_ROAD_WORKS_IN_PROGRESS : GSRoad
- ERR_ROADTYPE_DISALLOWS_CROSSING : GSRoad
- ERR_SIGN_BASE : GSSign
- ERR_SIGN_TOO_MANY_SIGNS : GSSign
- ERR_SITE_UNSUITABLE : GSError
- ERR_STATION_BASE : GSStation
- ERR_STATION_TOO_CLOSE_TO_ANOTHER_STATION : GSStation
- ERR_STATION_TOO_MANY_STATIONS : GSStation
- ERR_STATION_TOO_MANY_STATIONS_IN_TOWN : GSStation
- ERR_STATION_TOO_SPREAD_OUT : GSError
- ERR_TILE_BASE : GSTile
- ERR_TILE_TOO_HIGH : GSTile
- ERR_TILE_TOO_LOW : GSTile
- ERR_TOO_CLOSE_TO_EDGE : GSError
- ERR_TUNNEL_ANOTHER_TUNNEL_IN_THE_WAY : GSTunnel
- ERR_TUNNEL_BASE : GSTunnel
- ERR_TUNNEL_CANNOT_BUILD_ON_WATER : GSTunnel
- ERR_TUNNEL_END_SITE_UNSUITABLE : GSTunnel
- ERR_TUNNEL_START_SITE_UNSUITABLE : GSTunnel
- ERR_UNKNOWN : GSError
- ERR_UNSUITABLE_ROAD : GSRoad
- ERR_UNSUITABLE_TRACK : GSRail
- ERR_VEHICLE_BASE : GSVehicle
- ERR_VEHICLE_BUILD_DISABLED : GSVehicle
- ERR_VEHICLE_CANNOT_REFIT : GSVehicle
- ERR_VEHICLE_CANNOT_SEND_TO_DEPOT : GSVehicle
- ERR_VEHICLE_CANNOT_START_STOP : GSVehicle
- ERR_VEHICLE_CANNOT_TURN : GSVehicle
- ERR_VEHICLE_IN_FLIGHT : GSVehicle
- ERR_VEHICLE_IN_THE_WAY : GSError
- ERR_VEHICLE_IS_DESTROYED : GSVehicle
- ERR_VEHICLE_NO_POWER : GSVehicle
- ERR_VEHICLE_NOT_AVAILABLE : GSVehicle
- ERR_VEHICLE_NOT_IN_DEPOT : GSVehicle
- ERR_VEHICLE_TOO_LONG : GSVehicle
- ERR_VEHICLE_TOO_MANY : GSVehicle
- ERR_VEHICLE_WRONG_DEPOT : GSVehicle
- ERR_WAYPOINT_ADJOINS_MULTIPLE_WAYPOINTS : GSWaypoint
- ERR_WAYPOINT_BASE : GSWaypoint
- ERR_WAYPOINT_TOO_CLOSE_TO_ANOTHER_WAYPOINT : GSWaypoint
- Error() : GSLog
- ErrorCategories : GSError
- ErrorMessages : GSBridge, GSError, GSMarine, GSOrder, GSRail, GSRoad, GSSign, GSStation, GSTile, GSTunnel, GSVehicle, GSWaypoint
- ErrorMessageWidgets : GSWindow
- Exists() : GSPriorityQueue
- ExpandTown() : GSTown
- EXPENSES_AIRCRAFT_INC : GSCompany
- EXPENSES_AIRCRAFT_RUN : GSCompany
- EXPENSES_CONSTRUCTION : GSCompany
- EXPENSES_INVALID : GSCompany
- EXPENSES_LOAN_INT : GSCompany
- EXPENSES_NEW_VEHICLES : GSCompany
- EXPENSES_OTHER : GSCompany
- EXPENSES_PROPERTY : GSCompany
- EXPENSES_ROADVEH_INC : GSCompany
- EXPENSES_ROADVEH_RUN : GSCompany
- EXPENSES_SHIP_INC : GSCompany
- EXPENSES_SHIP_RUN : GSCompany
- EXPENSES_TRAIN_INC : GSCompany
- EXPENSES_TRAIN_RUN : GSCompany
- ExpensesType : GSCompany
- ExtraViewportWidgets : GSWindow